{
  "name": "Magnifying Glass",
  "type": "magnifying-glass",
  "tagName": "magnifying-glass",
  "version": 1,
  "customElementsVersion": 1,
  "description": "Magnifying glass effect with 1 image.",
  "files": {
    "js": ["mg-index.js"],
    "css": ["mg-styles.css"]
  },
  "externalScripts": [
    "https://cdnjs.cloudflare.com/ajax/libs/vue/2.6.14/vue.min.js",
    "https://cdnjs.cloudflare.com/ajax/libs/core-js/3.21.0/minified.min.js",
    "https://cdnjs.cloudflare.com/ajax/libs/gsap/3.9.1/gsap.min.js",
    "https://cdnjs.cloudflare.com/ajax/libs/gsap/3.9.1/Draggable.min.js",
    "https://cdnjs.cloudflare.com/ajax/libs/gsap/3.9.1/ScrollTrigger.min.js"
  ],
  "attributes": [
    {
      "name": "mg-image",
      "label": "Image",
      "type": "file",
      "accept": "image/*",
      "required": true,
      "description": "Image to magnify",
      "gwdSpecific": {
        "label": "Image",
        "sync": "src"
      }
    },
    {
      "name": "mg-zoom",
      "label": "Zoom",
      "type": "float",
      "defaultValue": 2.04,
      "min": 0,
      "description": "Magnifiger zoom"
    },
    {
      "name": "mg-color",
      "label": "Color",
      "type": "color",
      "defaultValue": "#FFF",
      "description": "Magnifiger color"
    },
    {
      "name": "mg-line-width",
      "label": "Line Width",
      "type": "number",
      "defaultValue": 30,
      "min": 0,
      "description": "Magnifiger line width"
    },
    {
      "name": "mg-radius",
      "label": "Radius",
      "type": "number",
      "defaultValue": 150,
      "min": 0,
      "description": "Magnifiger radius"
    },
    {
      "name": "mg-position-x",
      "label": "Position X",
      "type": "number",
      "defaultValue": 50,
      "min": 0,
      "max": 100,
      "description": "Magnifiger position X"
    },
    {
      "name": "mg-position-y",
      "label": "Position Y",
      "type": "number",
      "defaultValue": 50,
      "min": 0,
      "max": 100,
      "description": "Magnifiger position Y"
    },

    {
      "name": "mg-cta-url",
      "label": "Button URL",
      "type": "url",
      "defaultValue": "#",
      "description": "CTA URL to redirect"
    }
  ],
  "events": [],
  "methods": [],
  "nestable": true
}
